import { ref, onMounted } from 'vue';


export const useLogo = () => {
    const logo = ref();
    onMounted(async () => {
        let logoModule;
        if (import.meta.env.MODE === 'us') {
          logoModule = await import('@/assets/logo/baltini-logo.webp');
        } else if(import.meta.env.MODE === 'da') {
          logoModule = await import('@/assets/logo/luxlair-logo.jpg');
        } else if (import.meta.env.MODE === 'pt') {
          logoModule = await import('@/assets/logo/luxe-logo.jpg');
        }else if (import.meta.env.MODE === 'in') {
          logoModule = await import('@/assets/logo/baltini-logo.webp');
        }else {
          logoModule = await import('@/assets/logo/luxe-logo.jpg');
        }
        logo.value = logoModule.default;
    })
    return { logo }
}